<template>
  <q-layout view="lHh Lpr lFf">
    <q-layout-header>
      <q-toolbar
        color="primary"
      >

        <q-toolbar-title class="title">
          PRRADE
        </q-toolbar-title>
        <q-btn flat @click="openAccountPage" icon="account box"></q-btn>
        <q-btn flat @click="openNearMePage" icon="explore"></q-btn>
        <q-btn flat @click="logout" icon="exit to app"></q-btn>
      </q-toolbar>

    </q-layout-header>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
import { openURL } from 'quasar'

export default {
  name: 'LayoutDefault',
  data () {
    return {
      leftDrawerOpen: this.$q.platform.is.desktop
    }
  },
  methods: {
    openURL,
    openAccountPage () {
      this.$router.push('/app/account')
    },
    openNearMePage () {
      this.$router.push('/app/nearme')
    },
    logout () {
      this.$router.push('/login')
    }
  }
}
</script>

<style>
</style>
